[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[Xen-devel] [PATCH v3 5/5] raisin: introduce a local migration test



Signed-off-by: Stefano Stabellini <stefano.stabellini@xxxxxxxxxxxxx>
---
 tests/busybox-hvm-migrate |   33 +++++++++++++++++++++++++++++++++
 tests/series              |    1 +
 2 files changed, 34 insertions(+)
 create mode 100755 tests/busybox-hvm-migrate

diff --git a/tests/busybox-hvm-migrate b/tests/busybox-hvm-migrate
new file mode 100755
index 0000000..14ffc0d
--- /dev/null
+++ b/tests/busybox-hvm-migrate
@@ -0,0 +1,33 @@
+#!/usr/bin/env bash
+
+set -e
+
+source "$BASEDIR"/tests/busybox-hvm
+
+function busybox-hvm-migrate-cleanup() {
+    rm -f $TMPSCRIPT
+    busybox-hvm-cleanup
+}
+
+function busybox-hvm-migrate-test() {
+    if [[ $RAISIN_ARCH != "x86_64" && $RAISIN_ARCH != "x86_32" ]]
+    then
+        echo $PREPEND busybox hvm test only valid on x86
+        exit 0
+    fi
+    
+    busybox-hvm-test
+
+    TMPSCRIPT=`mktemp`
+
+    cat >$TMPSCRIPT <<EOF
+#!/usr/bin/env bash
+
+shift
+\$*
+EOF
+    
+    chmod +x $TMPSCRIPT
+    xl migrate -s $TMPSCRIPT raisin-test localhost
+    check_guest_alive
+}
diff --git a/tests/series b/tests/series
index 1f5f5c6..a2f4b34 100644
--- a/tests/series
+++ b/tests/series
@@ -1,2 +1,3 @@
 busybox-pv
 busybox-hvm
+busybox-hvm-migrate
-- 
1.7.10.4


_______________________________________________
Xen-devel mailing list
Xen-devel@xxxxxxxxxxxxx
http://lists.xen.org/xen-devel


 


Rackspace

Lists.xenproject.org is hosted with RackSpace, monitoring our
servers 24x7x365 and backed by RackSpace's Fanatical Support®.